NW.js v0.15.0 稳定版发布,采用 Chromium 51 +Node.js v6.2.0

newwell
 newwell
发布于 2016年05月27日
收藏 41

NW.js v0.15.0 稳定版发布了, 采用 Chromium 51 +Node.js v6.2.0。NW.js 可以让你直接在 DOM 上调用所有 Node.js 模块,相当于使用一种新的方法来编写 Web 应用。NW.js 的前身是 node-webkit

更新记录

0.15.0 / 05-25-2016

  • Update Chromium to 51.0.2704.63

  • Update Node.js to 6.2.0

  • Add: '--disable-devtools' command line for SDK build (#4839)

  • Fix: inject_js in webview and remote pages (#4877)

  • Fix: Transparency + Click-through clicks through floated elements (#4846)

  • Fix: disable tray icon "NW.js is using your microphone" (#4852)

  • Fix: Memory leak in Menu API (#4860)

  • Fix: Error in Tray in background context (#4862)

  • [docs] disable-devtools switch

  • [docs] using Menu API and navigation

下载地址:

    NORMAL:

    SDK build:

其他版本点这里→: http://dl.nwjs.io/v0.15.0/

NORMAL版是不含工具包的,SDK版是有工具包的,按 F12 (Cmd-Alt-I on OSX)唤出. 

欢迎来这里交流反馈: feedback 自备墙梯

本站文章除注明转载外,均为本站原创或编译。欢迎任何形式的转载,但请务必注明出处,尊重他人劳动共创开源社区。
转载请注明:文章转载自 OSCHINA 社区 [http://www.oschina.net]
本文标题:NW.js v0.15.0 稳定版发布,采用 Chromium 51 +Node.js v6.2.0
加载中

最新评论(22

s
soxgoon

引用来自“平原君”的评论

这下是不支持xp了么

引用来自“soxgoon”的评论

支持xp

引用来自“微生物”的评论

内核都51了,怎么还支持XP的。
我在给客户xp-sp3的上用着,你可以试下
微生物
微生物

引用来自“平原君”的评论

这下是不支持xp了么

引用来自“soxgoon”的评论

支持xp
内核都51了,怎么还支持XP的。
会爬树的蜗牛
会爬树的蜗牛

引用来自“eechen”的评论

@会爬树的蜗牛 邮箱重要吧,但有人会说用浏览器登录邮箱不安全么?所以说,关键数据都在服务器,何来不安全的说法?况且Android上每个应用对应一个用户,其他应用根本没法读当前应用的目录,我PHP代码就放在应用自身目录里,安全得很,另外APK有签名机制,也不能修改.我这里脚本放到SD卡,是为了方便体验者修改.
举个简单的例子吧,比如你要做一个号称“安全邮件客户端”,不考虑root?, 不考虑数据库加密?不考虑传输加密?app破解?不管是nw.js,electron写写新闻客户端之类的产品还行?别的嘛,技术选型上,因为html绘图块,就敢切换,好需要勇气!
朱宏青
朱宏青
早转Electron 没啥好说的 看看都有哪些重量级玩家在用就知道了
sizeof
sizeof
说实话我有点懒得看评论了
豆丁是个胖子
豆丁是个胖子

引用来自“eechen”的评论

@狂飙的小蜗牛 不是说要搞Linux上通用的LAMP打包么?以前还蛮看好你这个想法,怎么,遇到点困难就眼高手低歇菜了,渣渣,哈哈!

引用来自“blue_think”的评论

最好弄出点实际有用的东西,天天搭环境讲理论有什么说服力

引用来自“eechen”的评论

phpdroid_20160518.apk(5.7MB)
http://pan.baidu.com/s/1eRD1atc
phpdroid_20160518.7z(6.3MB)
http://pan.baidu.com/s/1i4OQl6l
我打包的PHPDroid都提供APK和源码了,还不够实际么?
我是真服了你了,一个说你傻逼,可能是那个人错了我,所有人都说你傻逼,你硬是把所有人都逼错了。你是有多傻逼????要么自己写个PHP编译器编译APK,要么闭嘴。webview???我非得用尼玛的PHP?还PHPdroid。D你妈了个逼啊
s
soxgoon

引用来自“平原君”的评论

这下是不支持xp了么
支持xp
eechen
eechen

引用来自“eechen”的评论

@狂飙的小蜗牛 不是说要搞Linux上通用的LAMP打包么?以前还蛮看好你这个想法,怎么,遇到点困难就眼高手低歇菜了,渣渣,哈哈!

引用来自“blue_think”的评论

最好弄出点实际有用的东西,天天搭环境讲理论有什么说服力
phpdroid_20160518.apk(5.7MB)
http://pan.baidu.com/s/1eRD1atc
phpdroid_20160518.7z(6.3MB)
http://pan.baidu.com/s/1i4OQl6l
我打包的PHPDroid都提供APK和源码了,还不够实际么?
blue_think
blue_think

引用来自“eechen”的评论

@狂飙的小蜗牛 不是说要搞Linux上通用的LAMP打包么?以前还蛮看好你这个想法,怎么,遇到点困难就眼高手低歇菜了,渣渣,哈哈!
最好弄出点实际有用的东西,天天搭环境讲理论有什么说服力
xmut
xmut

引用来自“caryhgq”的评论

。╭══╮ .┌....════════════.┐
╭╯让路║═║看老子怎么漂移!嘟嘟║
╰⊙═⊙╯ ╰══⊙═════⊙════≈💨
靠边停,靠边停,超载了还这么嚣张 ╭(╯^╰)╮
返回顶部
顶部